XmVaCreateFrame(3)

NAME
XmVaCreateFrame, XmVaCreateManagedFrame — A Frame widget convenience creation functions.

SYNOPSIS

#include <Xm/Frame.h>

Widget XmVaCreateFrame(
Widget parent,
String name,
...);

Widget XmVaCreateManagedFrame(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a Frame widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateFrame function is a convenience routine that calls XtCreateWidget.

The XmVaCreateManagedFrame function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of Frame and its associated resources, see XmFrame(3).

RETURN

Returns the Frame widget ID.

RELATED

XmFrame(3), XmCreateFrame(3), XtCreateWidget(3), and XtCreateManagedWidget(3).